source: longrun_tests/Makefile.in @ bee653c

arm-ehcleanup-dtorsjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-expr
Last change on this file since bee653c was e8fe5e0, checked in by tdelisle <tdelisle@…>, 3 years ago

Fixing longrun_tests to compile

  • Property mode set to 100644
File size: 31.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = longrun_tests
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/automake/libtool.m4 \
96        $(top_srcdir)/automake/ltoptions.m4 \
97        $(top_srcdir)/automake/ltsugar.m4 \
98        $(top_srcdir)/automake/ltversion.m4 \
99        $(top_srcdir)/automake/lt~obsolete.m4 \
100        $(top_srcdir)/automake/cfa.m4 $(top_srcdir)/configure.ac
101am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102        $(ACLOCAL_M4)
103DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
104mkinstalldirs = $(install_sh) -d
105CONFIG_HEADER = $(top_builddir)/config.h
106CONFIG_CLEAN_FILES =
107CONFIG_CLEAN_VPATH_FILES =
108AM_V_P = $(am__v_P_@AM_V@)
109am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
110am__v_P_0 = false
111am__v_P_1 = :
112AM_V_GEN = $(am__v_GEN_@AM_V@)
113am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
114am__v_GEN_0 = @echo "  GEN     " $@;
115am__v_GEN_1 =
116AM_V_at = $(am__v_at_@AM_V@)
117am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
118am__v_at_0 = @
119am__v_at_1 =
120SOURCES =
121DIST_SOURCES =
122am__can_run_installinfo = \
123  case $$AM_UPDATE_INFO_DIR in \
124    n|no|NO) false;; \
125    *) (install-info --version) >/dev/null 2>&1;; \
126  esac
127am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
128am__tty_colors_dummy = \
129  mgn= red= grn= lgn= blu= brg= std=; \
130  am__color_tests=no
131am__tty_colors = { \
132  $(am__tty_colors_dummy); \
133  if test "X$(AM_COLOR_TESTS)" = Xno; then \
134    am__color_tests=no; \
135  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
136    am__color_tests=yes; \
137  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
138    am__color_tests=yes; \
139  fi; \
140  if test $$am__color_tests = yes; then \
141    red='[0;31m'; \
142    grn='[0;32m'; \
143    lgn='[1;32m'; \
144    blu='[1;34m'; \
145    mgn='[0;35m'; \
146    brg='[1m'; \
147    std='[m'; \
148  fi; \
149}
150am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151am__vpath_adj = case $$p in \
152    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153    *) f=$$p;; \
154  esac;
155am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156am__install_max = 40
157am__nobase_strip_setup = \
158  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159am__nobase_strip = \
160  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161am__nobase_list = $(am__nobase_strip_setup); \
162  for p in $$list; do echo "$$p $$p"; done | \
163  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165    if (++n[$$2] == $(am__install_max)) \
166      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167    END { for (dir in files) print dir, files[dir] }'
168am__base_list = \
169  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171am__uninstall_files_from_dir = { \
172  test -z "$$files" \
173    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175         $(am__cd) "$$dir" && rm -f $$files; }; \
176  }
177am__recheck_rx = ^[     ]*:recheck:[    ]*
178am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
179am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
180# A command that, given a newline-separated list of test names on the
181# standard input, print the name of the tests that are to be re-run
182# upon "make recheck".
183am__list_recheck_tests = $(AWK) '{ \
184  recheck = 1; \
185  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
186    { \
187      if (rc < 0) \
188        { \
189          if ((getline line2 < ($$0 ".log")) < 0) \
190            recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
194        { \
195          recheck = 0; \
196          break; \
197        } \
198      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
199        { \
200          break; \
201        } \
202    }; \
203  if (recheck) \
204    print $$0; \
205  close ($$0 ".trs"); \
206  close ($$0 ".log"); \
207}'
208# A command that, given a newline-separated list of test names on the
209# standard input, create the global log from their .trs and .log files.
210am__create_global_log = $(AWK) ' \
211function fatal(msg) \
212{ \
213  print "fatal: making $@: " msg | "cat >&2"; \
214  exit 1; \
215} \
216function rst_section(header) \
217{ \
218  print header; \
219  len = length(header); \
220  for (i = 1; i <= len; i = i + 1) \
221    printf "="; \
222  printf "\n\n"; \
223} \
224{ \
225  copy_in_global_log = 1; \
226  global_test_result = "RUN"; \
227  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
228    { \
229      if (rc < 0) \
230         fatal("failed to read from " $$0 ".trs"); \
231      if (line ~ /$(am__global_test_result_rx)/) \
232        { \
233          sub("$(am__global_test_result_rx)", "", line); \
234          sub("[        ]*$$", "", line); \
235          global_test_result = line; \
236        } \
237      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
238        copy_in_global_log = 0; \
239    }; \
240  if (copy_in_global_log) \
241    { \
242      rst_section(global_test_result ": " $$0); \
243      while ((rc = (getline line < ($$0 ".log"))) != 0) \
244      { \
245        if (rc < 0) \
246          fatal("failed to read from " $$0 ".log"); \
247        print line; \
248      }; \
249      printf "\n"; \
250    }; \
251  close ($$0 ".trs"); \
252  close ($$0 ".log"); \
253}'
254# Restructured Text title.
255am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
256# Solaris 10 'make', and several other traditional 'make' implementations,
257# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
258# by disabling -e (using the XSI extension "set +e") if it's set.
259am__sh_e_setup = case $$- in *e*) set +e;; esac
260# Default flags passed to test drivers.
261am__common_driver_flags = \
262  --color-tests "$$am__color_tests" \
263  --enable-hard-errors "$$am__enable_hard_errors" \
264  --expect-failure "$$am__expect_failure"
265# To be inserted before the command running the test.  Creates the
266# directory for the log if needed.  Stores in $dir the directory
267# containing $f, in $tst the test, in $log the log.  Executes the
268# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
269# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
270# will run the test scripts (or their associated LOG_COMPILER, if
271# thy have one).
272am__check_pre = \
273$(am__sh_e_setup);                                      \
274$(am__vpath_adj_setup) $(am__vpath_adj)                 \
275$(am__tty_colors);                                      \
276srcdir=$(srcdir); export srcdir;                        \
277case "$@" in                                            \
278  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
279    *) am__odir=.;;                                     \
280esac;                                                   \
281test "x$$am__odir" = x"." || test -d "$$am__odir"       \
282  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
283if test -f "./$$f"; then dir=./;                        \
284elif test -f "$$f"; then dir=;                          \
285else dir="$(srcdir)/"; fi;                              \
286tst=$$dir$$f; log='$@';                                 \
287if test -n '$(DISABLE_HARD_ERRORS)'; then               \
288  am__enable_hard_errors=no;                            \
289else                                                    \
290  am__enable_hard_errors=yes;                           \
291fi;                                                     \
292case " $(XFAIL_TESTS) " in                              \
293  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
294    am__expect_failure=yes;;                            \
295  *)                                                    \
296    am__expect_failure=no;;                             \
297esac;                                                   \
298$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
299# A shell command to get the names of the tests scripts with any registered
300# extension removed (i.e., equivalently, the names of the test logs, with
301# the '.log' extension removed).  The result is saved in the shell variable
302# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
303# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
304# since that might cause problem with VPATH rewrites for suffix-less tests.
305# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
306am__set_TESTS_bases = \
307  bases='$(TEST_LOGS)'; \
308  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
309  bases=`echo $$bases`
310RECHECK_LOGS = $(TEST_LOGS)
311AM_RECURSIVE_TARGETS = check recheck
312TEST_SUITE_LOG = test-suite.log
313TEST_EXTENSIONS = @EXEEXT@ .test
314LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
315LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
316am__set_b = \
317  case '$@' in \
318    */*) \
319      case '$*' in \
320        */*) b='$*';; \
321          *) b=`echo '$@' | sed 's/\.log$$//'`; \
322       esac;; \
323    *) \
324      b='$*';; \
325  esac
326am__test_logs1 = $(TESTS:=.log)
327am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
328TEST_LOGS = $(am__test_logs2:.test.log=.log)
329TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
330TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
331        $(TEST_LOG_FLAGS)
332am__DIST_COMMON = $(srcdir)/Makefile.in \
333        $(top_srcdir)/automake/test-driver $(top_srcdir)/src/cfa.make
334DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
335ACLOCAL = @ACLOCAL@
336AMTAR = @AMTAR@
337AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
338AR = @AR@
339AUTOCONF = @AUTOCONF@
340AUTOHEADER = @AUTOHEADER@
341AUTOMAKE = @AUTOMAKE@
342AWK = @AWK@
343BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
344CC = @CC@
345CCAS = @CCAS@
346CCASDEPMODE = @CCASDEPMODE@
347CCASFLAGS = @CCASFLAGS@
348CCDEPMODE = @CCDEPMODE@
349CFACC = @CFACC@
350CFACPP = @CFACPP@
351CFA_BACKEND_CC = @CFA_BACKEND_CC@
352CFA_BINDIR = @CFA_BINDIR@
353CFA_FLAGS = @CFA_FLAGS@
354CFA_INCDIR = @CFA_INCDIR@
355CFA_LIBDIR = @CFA_LIBDIR@
356CFA_NAME = @CFA_NAME@
357CFA_PREFIX = @CFA_PREFIX@
358CFLAGS = @CFLAGS@
359CPP = @CPP@
360CPPFLAGS = @CPPFLAGS@
361CXX = @CXX@
362CXXCPP = @CXXCPP@
363CXXDEPMODE = @CXXDEPMODE@
364CXXFLAGS = @CXXFLAGS@
365CYGPATH_W = @CYGPATH_W@
366DEFS = @DEFS@
367DEPDIR = @DEPDIR@
368DLLTOOL = @DLLTOOL@
369DRIVER_DIR = @DRIVER_DIR@
370DSYMUTIL = @DSYMUTIL@
371DUMPBIN = @DUMPBIN@
372ECHO_C = @ECHO_C@
373ECHO_N = @ECHO_N@
374ECHO_T = @ECHO_T@
375EGREP = @EGREP@
376EXEEXT = @EXEEXT@
377FGREP = @FGREP@
378GREP = @GREP@
379HOST_FLAGS = @HOST_FLAGS@
380INSTALL = @INSTALL@
381INSTALL_DATA = @INSTALL_DATA@
382INSTALL_PROGRAM = @INSTALL_PROGRAM@
383INSTALL_SCRIPT = @INSTALL_SCRIPT@
384INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
385LD = @LD@
386LDFLAGS = @LDFLAGS@
387LEX = @LEX@
388LEXLIB = @LEXLIB@
389LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
390LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
391LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
392LIBOBJS = @LIBOBJS@
393LIBS = @LIBS@
394LIBTOOL = @LIBTOOL@
395LIPO = @LIPO@
396LN_S = @LN_S@
397LTLIBOBJS = @LTLIBOBJS@
398LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
399MAKEINFO = @MAKEINFO@
400MANIFEST_TOOL = @MANIFEST_TOOL@
401MKDIR_P = @MKDIR_P@
402NM = @NM@
403NMEDIT = @NMEDIT@
404OBJDUMP = @OBJDUMP@
405OBJEXT = @OBJEXT@
406OTOOL = @OTOOL@
407OTOOL64 = @OTOOL64@
408PACKAGE = @PACKAGE@
409PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
410PACKAGE_NAME = @PACKAGE_NAME@
411PACKAGE_STRING = @PACKAGE_STRING@
412PACKAGE_TARNAME = @PACKAGE_TARNAME@
413PACKAGE_URL = @PACKAGE_URL@
414PACKAGE_VERSION = @PACKAGE_VERSION@
415PATH_SEPARATOR = @PATH_SEPARATOR@
416RANLIB = @RANLIB@
417SED = @SED@
418SET_MAKE = @SET_MAKE@
419SHELL = @SHELL@
420STRIP = @STRIP@
421TARGET_HOSTS = @TARGET_HOSTS@
422VERSION = @VERSION@
423YACC = @YACC@
424YFLAGS = @YFLAGS@
425abs_builddir = @abs_builddir@
426abs_srcdir = @abs_srcdir@
427abs_top_builddir = @abs_top_builddir@
428abs_top_srcdir = @abs_top_srcdir@
429ac_ct_AR = @ac_ct_AR@
430ac_ct_CC = @ac_ct_CC@
431ac_ct_CXX = @ac_ct_CXX@
432ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
433am__include = @am__include@
434am__leading_dot = @am__leading_dot@
435am__quote = @am__quote@
436am__tar = @am__tar@
437am__untar = @am__untar@
438bindir = @bindir@
439build = @build@
440build_alias = @build_alias@
441build_cpu = @build_cpu@
442build_os = @build_os@
443build_vendor = @build_vendor@
444builddir = @builddir@
445datadir = @datadir@
446datarootdir = @datarootdir@
447docdir = @docdir@
448dvidir = @dvidir@
449exec_prefix = @exec_prefix@
450host = @host@
451host_alias = @host_alias@
452host_cpu = @host_cpu@
453host_os = @host_os@
454host_vendor = @host_vendor@
455htmldir = @htmldir@
456includedir = @includedir@
457infodir = @infodir@
458install_sh = @install_sh@
459libdir = @libdir@
460libexecdir = @libexecdir@
461localedir = @localedir@
462localstatedir = @localstatedir@
463mandir = @mandir@
464mkdir_p = @mkdir_p@
465oldincludedir = @oldincludedir@
466pdfdir = @pdfdir@
467prefix = @prefix@
468program_transform_name = @program_transform_name@
469psdir = @psdir@
470runstatedir = @runstatedir@
471sbindir = @sbindir@
472sharedstatedir = @sharedstatedir@
473srcdir = @srcdir@
474sysconfdir = @sysconfdir@
475target_alias = @target_alias@
476top_build_prefix = @top_build_prefix@
477top_builddir = @top_builddir@
478top_srcdir = @top_srcdir@
479AUTOMAKE_OPTIONS = foreign    # do not require all the GNU file names
480ACLOCAL_AMFLAGS = -I automake
481CFACOMPILE = $(CFACC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(CFAFLAGS) $(AM_CFLAGS) $(CFLAGS)
482LTCFACOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
483        $(LIBTOOLFLAGS) --mode=compile $(CFACC) $(DEFS) \
484        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(CFAFLAGS) \
485        $(AM_CFLAGS) $(CFLAGS)
486
487AM_V_CFA = $(am__v_CFA_@AM_V@)
488am__v_CFA_ = $(am__v_CFA_@AM_DEFAULT_V@)
489am__v_CFA_0 = @echo "  CFA     " $@;
490am__v_CFA_1 =
491AM_V_JAVAC = $(am__v_JAVAC_@AM_V@)
492am__v_JAVAC_ = $(am__v_JAVAC_@AM_DEFAULT_V@)
493am__v_JAVAC_0 = @echo "  JAVAC   " $@;
494am__v_JAVAC_1 =
495AM_V_GOC = $(am__v_GOC_@AM_V@)
496am__v_GOC_ = $(am__v_GOC_@AM_DEFAULT_V@)
497am__v_GOC_0 = @echo "  GOC     " $@;
498am__v_GOC_1 =
499UPPCC = u++
500UPPCOMPILE = $(UPPCC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_UPPFLAGS) $(UPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_CFLAGS) $(CFLAGS)
501AM_V_UPP = $(am__v_UPP_@AM_V@)
502am__v_UPP_ = $(am__v_UPP_@AM_DEFAULT_V@)
503am__v_UPP_0 = @echo "  UPP     " $@;
504am__v_UPP_1 =
505repeats = 10
506max_time = 600
507preempt = 10ul\`ms
508debug = -debug
509type = LONG
510REPEAT = $(abs_top_builddir)/tools/repeat
511WATCHDOG = $(abs_top_builddir)/tools/watchdog
512TIME = /usr/bin/time -f "%E"
513UPDATED_TYPE = $(shell $(srcdir)/update-type $(type))
514BUILD_FLAGS =
515AM_CFAFLAGS = \
516        -g \
517        -Wall \
518        -Wno-unused-function \
519        -quiet \
520        -O2 \
521        -DPREEMPTION_RATE=$(preempt) \
522        -I$(abs_top_srcdir)/tests \
523        -I$(srcdir) \
524        -DTEST_$(shell cat .type | tr a-z A-Z) \
525        -in-tree
526
527TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
528all: all-am
529
530.SUFFIXES:
531.SUFFIXES: .cfa .lo .log .o .test .test$(EXEEXT) .trs
532$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/src/cfa.make $(am__configure_deps)
533        @for dep in $?; do \
534          case '$(am__configure_deps)' in \
535            *$$dep*) \
536              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
537                && { if test -f $@; then exit 0; else break; fi; }; \
538              exit 1;; \
539          esac; \
540        done; \
541        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign longrun_tests/Makefile'; \
542        $(am__cd) $(top_srcdir) && \
543          $(AUTOMAKE) --foreign longrun_tests/Makefile
544Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
545        @case '$?' in \
546          *config.status*) \
547            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
548          *) \
549            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
550            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
551        esac;
552$(top_srcdir)/src/cfa.make $(am__empty):
553
554$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
555        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
556
557$(top_srcdir)/configure:  $(am__configure_deps)
558        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
559$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
560        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
561$(am__aclocal_m4_deps):
562
563mostlyclean-libtool:
564        -rm -f *.lo
565
566clean-libtool:
567        -rm -rf .libs _libs
568tags TAGS:
569
570ctags CTAGS:
571
572cscope cscopelist:
573
574
575# Recover from deleted '.trs' file; this should ensure that
576# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
577# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
578# to avoid problems with "make -n".
579.log.trs:
580        rm -f $< $@
581        $(MAKE) $(AM_MAKEFLAGS) $<
582
583# Leading 'am--fnord' is there to ensure the list of targets does not
584# expand to empty, as could happen e.g. with make check TESTS=''.
585am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
586am--force-recheck:
587        @:
588
589$(TEST_SUITE_LOG): $(TEST_LOGS)
590        @$(am__set_TESTS_bases); \
591        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
592        redo_bases=`for i in $$bases; do \
593                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
594                    done`; \
595        if test -n "$$redo_bases"; then \
596          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
597          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
598          if $(am__make_dryrun); then :; else \
599            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
600          fi; \
601        fi; \
602        if test -n "$$am__remaking_logs"; then \
603          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
604               "recursion detected" >&2; \
605        elif test -n "$$redo_logs"; then \
606          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
607        fi; \
608        if $(am__make_dryrun); then :; else \
609          st=0;  \
610          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
611          for i in $$redo_bases; do \
612            test -f $$i.trs && test -r $$i.trs \
613              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
614            test -f $$i.log && test -r $$i.log \
615              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
616          done; \
617          test $$st -eq 0 || exit 1; \
618        fi
619        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
620        ws='[   ]'; \
621        results=`for b in $$bases; do echo $$b.trs; done`; \
622        test -n "$$results" || results=/dev/null; \
623        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
624        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
625        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
626        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
627        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
628        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
629        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
630        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
631          success=true; \
632        else \
633          success=false; \
634        fi; \
635        br='==================='; br=$$br$$br$$br$$br; \
636        result_count () \
637        { \
638            if test x"$$1" = x"--maybe-color"; then \
639              maybe_colorize=yes; \
640            elif test x"$$1" = x"--no-color"; then \
641              maybe_colorize=no; \
642            else \
643              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
644            fi; \
645            shift; \
646            desc=$$1 count=$$2; \
647            if test $$maybe_colorize = yes && test $$count -gt 0; then \
648              color_start=$$3 color_end=$$std; \
649            else \
650              color_start= color_end=; \
651            fi; \
652            echo "$${color_start}# $$desc $$count$${color_end}"; \
653        }; \
654        create_testsuite_report () \
655        { \
656          result_count $$1 "TOTAL:" $$all   "$$brg"; \
657          result_count $$1 "PASS: " $$pass  "$$grn"; \
658          result_count $$1 "SKIP: " $$skip  "$$blu"; \
659          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
660          result_count $$1 "FAIL: " $$fail  "$$red"; \
661          result_count $$1 "XPASS:" $$xpass "$$red"; \
662          result_count $$1 "ERROR:" $$error "$$mgn"; \
663        }; \
664        {                                                               \
665          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
666            $(am__rst_title);                                           \
667          create_testsuite_report --no-color;                           \
668          echo;                                                         \
669          echo ".. contents:: :depth: 2";                               \
670          echo;                                                         \
671          for b in $$bases; do echo $$b; done                           \
672            | $(am__create_global_log);                                 \
673        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
674        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
675        if $$success; then                                              \
676          col="$$grn";                                                  \
677         else                                                           \
678          col="$$red";                                                  \
679          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
680        fi;                                                             \
681        echo "$${col}$$br$${std}";                                      \
682        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
683        echo "$${col}$$br$${std}";                                      \
684        create_testsuite_report --maybe-color;                          \
685        echo "$$col$$br$$std";                                          \
686        if $$success; then :; else                                      \
687          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
688          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
689            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
690          fi;                                                           \
691          echo "$$col$$br$$std";                                        \
692        fi;                                                             \
693        $$success || exit 1
694
695check-TESTS:
696        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
697        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
698        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
699        @set +e; $(am__set_TESTS_bases); \
700        log_list=`for i in $$bases; do echo $$i.log; done`; \
701        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
702        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
703        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
704        exit $$?;
705recheck: all
706        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
707        @set +e; $(am__set_TESTS_bases); \
708        bases=`for i in $$bases; do echo $$i; done \
709                 | $(am__list_recheck_tests)` || exit 1; \
710        log_list=`for i in $$bases; do echo $$i.log; done`; \
711        log_list=`echo $$log_list`; \
712        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
713                am__force_recheck=am--force-recheck \
714                TEST_LOGS="$$log_list"; \
715        exit $$?
716block.log: block
717        @p='block'; \
718        b='block'; \
719        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
720        --log-file $$b.log --trs-file $$b.trs \
721        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
722        "$$tst" $(AM_TESTS_FD_REDIRECT)
723coroutine.log: coroutine
724        @p='coroutine'; \
725        b='coroutine'; \
726        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
727        --log-file $$b.log --trs-file $$b.trs \
728        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
729        "$$tst" $(AM_TESTS_FD_REDIRECT)
730create.log: create
731        @p='create'; \
732        b='create'; \
733        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
734        --log-file $$b.log --trs-file $$b.trs \
735        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
736        "$$tst" $(AM_TESTS_FD_REDIRECT)
737disjoint.log: disjoint
738        @p='disjoint'; \
739        b='disjoint'; \
740        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
741        --log-file $$b.log --trs-file $$b.trs \
742        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
743        "$$tst" $(AM_TESTS_FD_REDIRECT)
744enter.log: enter
745        @p='enter'; \
746        b='enter'; \
747        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
748        --log-file $$b.log --trs-file $$b.trs \
749        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
750        "$$tst" $(AM_TESTS_FD_REDIRECT)
751enter3.log: enter3
752        @p='enter3'; \
753        b='enter3'; \
754        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
755        --log-file $$b.log --trs-file $$b.trs \
756        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
757        "$$tst" $(AM_TESTS_FD_REDIRECT)
758processor.log: processor
759        @p='processor'; \
760        b='processor'; \
761        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
762        --log-file $$b.log --trs-file $$b.trs \
763        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
764        "$$tst" $(AM_TESTS_FD_REDIRECT)
765stack.log: stack
766        @p='stack'; \
767        b='stack'; \
768        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
769        --log-file $$b.log --trs-file $$b.trs \
770        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
771        "$$tst" $(AM_TESTS_FD_REDIRECT)
772wait.log: wait
773        @p='wait'; \
774        b='wait'; \
775        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
776        --log-file $$b.log --trs-file $$b.trs \
777        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
778        "$$tst" $(AM_TESTS_FD_REDIRECT)
779yield.log: yield
780        @p='yield'; \
781        b='yield'; \
782        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
783        --log-file $$b.log --trs-file $$b.trs \
784        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
785        "$$tst" $(AM_TESTS_FD_REDIRECT)
786.test.log:
787        @p='$<'; \
788        $(am__set_b); \
789        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
790        --log-file $$b.log --trs-file $$b.trs \
791        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
792        "$$tst" $(AM_TESTS_FD_REDIRECT)
793@am__EXEEXT_TRUE@.test$(EXEEXT).log:
794@am__EXEEXT_TRUE@       @p='$<'; \
795@am__EXEEXT_TRUE@       $(am__set_b); \
796@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
797@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
798@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
799@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
800
801distdir: $(DISTFILES)
802        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
803        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
804        list='$(DISTFILES)'; \
805          dist_files=`for file in $$list; do echo $$file; done | \
806          sed -e "s|^$$srcdirstrip/||;t" \
807              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
808        case $$dist_files in \
809          */*) $(MKDIR_P) `echo "$$dist_files" | \
810                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
811                           sort -u` ;; \
812        esac; \
813        for file in $$dist_files; do \
814          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
815          if test -d $$d/$$file; then \
816            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
817            if test -d "$(distdir)/$$file"; then \
818              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
819            fi; \
820            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
821              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
822              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
823            fi; \
824            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
825          else \
826            test -f "$(distdir)/$$file" \
827            || cp -p $$d/$$file "$(distdir)/$$file" \
828            || exit 1; \
829          fi; \
830        done
831check-am: all-am
832        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
833check: check-am
834all-am: Makefile all-local
835installdirs:
836install: install-am
837install-exec: install-exec-am
838install-data: install-data-am
839uninstall: uninstall-am
840
841install-am: all-am
842        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
843
844installcheck: installcheck-am
845install-strip:
846        if test -z '$(STRIP)'; then \
847          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
848            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
849              install; \
850        else \
851          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
852            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
853            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
854        fi
855mostlyclean-generic:
856        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
857        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
858        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
859
860clean-generic:
861
862distclean-generic:
863        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
864        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
865
866maintainer-clean-generic:
867        @echo "This command is intended for maintainers to use"
868        @echo "it deletes files that may require special tools to rebuild."
869clean: clean-am
870
871clean-am: clean-generic clean-libtool clean-local mostlyclean-am
872
873distclean: distclean-am
874        -rm -f Makefile
875distclean-am: clean-am distclean-generic
876
877dvi: dvi-am
878
879dvi-am:
880
881html: html-am
882
883html-am:
884
885info: info-am
886
887info-am:
888
889install-data-am:
890
891install-dvi: install-dvi-am
892
893install-dvi-am:
894
895install-exec-am:
896
897install-html: install-html-am
898
899install-html-am:
900
901install-info: install-info-am
902
903install-info-am:
904
905install-man:
906
907install-pdf: install-pdf-am
908
909install-pdf-am:
910
911install-ps: install-ps-am
912
913install-ps-am:
914
915installcheck-am:
916
917maintainer-clean: maintainer-clean-am
918        -rm -f Makefile
919maintainer-clean-am: distclean-am maintainer-clean-generic
920
921mostlyclean: mostlyclean-am
922
923mostlyclean-am: mostlyclean-generic mostlyclean-libtool
924
925pdf: pdf-am
926
927pdf-am:
928
929ps: ps-am
930
931ps-am:
932
933uninstall-am:
934
935.MAKE: check-am install-am install-strip
936
937.PHONY: all all-am all-local check check-TESTS check-am clean \
938        clean-generic clean-libtool clean-local cscopelist-am ctags-am \
939        distclean distclean-generic distclean-libtool distdir dvi \
940        dvi-am html html-am info info-am install install-am \
941        install-data install-data-am install-dvi install-dvi-am \
942        install-exec install-exec-am install-html install-html-am \
943        install-info install-info-am install-man install-pdf \
944        install-pdf-am install-ps install-ps-am install-strip \
945        installcheck installcheck-am installdirs maintainer-clean \
946        maintainer-clean-generic mostlyclean mostlyclean-generic \
947        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
948        uninstall uninstall-am
949
950.PRECIOUS: Makefile
951
952
953.cfa.o:
954        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
955        $(CFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
956        $(am__mv) $$depbase.Tpo $$depbase.Po
957
958.cfa.lo:
959        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
960        $(LTCFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
961        $(am__mv) $$depbase.Tpo $$depbase.Plo
962
963# .INTERMEDIATE: $(TESTS)
964
965all-local: $(TESTS:=.run)
966
967runall : $(TESTS:=.run)
968        @ echo "All programs terminated normally"
969
970watchall : $(TESTS:=.watch)
971        @ echo "All programs terminated normally"
972
973compileall : $(TESTS)
974        @ echo "Compiled"
975
976clean-local:
977        rm -f $(TESTS) core* out.log .type
978
979% : %.cfa $(CFACC) $(UPDATED_TYPE)
980        $(AM_V_CFA)$(CFACOMPILE) $(<) $(debug) -o $(@)
981
982%.run : % $(REPEAT)
983        @ time $(REPEAT) -r out.log -i -s $(repeats) timeout $(max_time) ./$(<)
984        @ rm $(<)
985        @ echo -e "$(<): SUCCESS\n"
986
987%.watch : % $(WATCHDOG)
988        @ time $(WATCHDOG} ./$(<)
989        @ rm $(<)
990        @ echo -e "$(<): SUCCESS\n"
991
992%.time : % $(REPEAT)
993        @ $(REPEAT) -i -s -- $(repeats) $(TIME) -a -o times.log ./$(<)
994        @ rm $(<)
995        @ echo -e "$(<): SUCCESS\n"
996
997$(REPEAT): $(abs_top_builddir)/tools/Makefile
998        @+make -C $(abs_top_builddir)/tools/
999
1000$(WATCHDOG): $(abs_top_builddir)/tools/Makefile
1001        @+make -C $(abs_top_builddir)/tools/
1002
1003# Tell versions [3.59,3.63) of GNU make to not export all variables.
1004# Otherwise a system limit (for SysV at least) may be exceeded.
1005.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.